# at_app_flutter

<img width=250px src="https://atsign.dev/assets/img/atPlatform_logo_gray.svg?sanitize=true">

[![pub package](https://img.shields.io/pub/v/at_app_flutter)](https://pub.dev/packages/at_app_flutter)
[![pub points](https://img.shields.io/pub/points/at_app_flutter?logo=dart)](https://pub.dev/packages/at_app_flutter/score)
[![gitHub license](https://img.shields.io/badge/license-BSD3-blue.svg)](./LICENSE)
[![CI](https://github.com/atsign-foundation/at_app/actions/workflows/CI.yaml/badge.svg?branch=trunk)](https://github.com/atsign-foundation/at_app/actions/workflows/CI.yaml)

## Overview

at_app_flutter contains additional logic that applications generated by at_app use.

This open source package is written in Dart, supports Flutter and follows the
atPlatform's decentralized, edge computing model with the following features:
- Cryptographic control of data access through personal data stores
- No application backend needed
- End to end encryption where only the data owner has the keys
- Private and surveillance free connectivity
- Read atPlatform environment variables into your application

We call giving people control of access to their data “flipping the internet”
and you can learn more about how it works by reading this
[overview](https://atsign.dev/docs/overview/).

## Get started

This package is automatically included in your application when you generate an app using [at_app](https://pub.dev/packages/at_app). See the [at_app usage](https://pub.dev/packages/at_app/example) to learn how to generate an app that includes this package.

## How it works

This package includes the `AtEnv` model which interprets atPlatform specific environment variables from a .env file.

### Usage

See the [Example tab](https://pub.dev/packages/at_app_flutter/example) on pub.dev.

## Open source usage and contributions

This is open source code, so feel free to use it as is, suggest changes or
enhancements or create your own version. See [CONTRIBUTING.md](../../CONTRIBUTING.md)
for detailed guidance on how to setup tools, tests and make a pull request.

## Acknowledgement/attribution

This package was originally created by [Xavier Chanthavong](https://github.com/xavierchanth).

## Maintainers

This package is currently maintained by [Xavier Chanthavong](https://github.com/xavierchanth).


